> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get list of integrations

> Returns a list of integrations (active and inactive) available for your account



## OpenAPI

````yaml get /integrations
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /integrations:
    get:
      tags:
        - Integrations
      summary: Get list of integrations
      description: >-
        Returns a list of integrations (active and inactive) available for your
        account
      operationId: integrations_get_integrations
      parameters:
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/IntegationStatus'
              - type: 'null'
            title: Status
        - name: include_coverage
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/BoolParam'
              - type: 'null'
            default: 'false'
            title: Include Coverage
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/IntegrationItem'
                title: Response Integrations Get Integrations
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    IntegationStatus:
      type: string
      enum:
        - active
        - inactive
      title: IntegationStatus
    BoolParam:
      type: string
      enum:
        - 'true'
        - 'false'
      title: BoolParam
    IntegrationItem:
      properties:
        integrationid:
          type: integer
          title: Integrationid
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        status:
          $ref: '#/components/schemas/IntegationStatus'
        api:
          $ref: '#/components/schemas/Api'
        logo_url:
          type: string
          title: Logo Url
        icon_url:
          type: string
          title: Icon Url
        post_connections:
          anyOf:
            - items:
                $ref: '#/components/schemas/IntegrationsPostConnectionItem'
              type: array
            - type: 'null'
          title: Post Connections
          description: List of post-connections that can be activated for this integration.
          default: []
        operations_coverage:
          anyOf:
            - items:
                $ref: '#/components/schemas/CoverageItem'
              type: array
            - type: 'null'
          title: Operations Coverage
          description: List of operations coverage for this integration.
          default: []
        credentials:
          anyOf:
            - items:
                $ref: '#/components/schemas/IntegrationsCredentialItem'
              type: array
            - type: 'null'
          title: Credentials
          description: >-
            List of credentials that must be specified to create a connection.
            Can be used if you want to pass credentials on connection creation.
            Not compatible with oAuth2 routes.
          default: []
        supported_countries:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Supported Countries
          description: >-
            Country codes (ISO 3166-1 alpha-2) where this integration is
            supported. If not defined, the integration is supported globally.
          examples:
            - BE
            - FR
            - ES
        local_agent:
          type: boolean
          title: Local Agent
          description: This field indicate if the integration is a local agent.
          default: false
      type: object
      required:
        - integrationid
        - name
        - status
        - api
        - logo_url
        - icon_url
      title: IntegrationItem
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    Api:
      type: string
      enum:
        - Point of Sale
        - eCommerce
        - Accounting
        - Invoicing
        - Communication
        - Banking
        - Custom
        - Payment
        - Property Management System
      title: Api
    IntegrationsPostConnectionItem:
      properties:
        id:
          type: string
          title: Id
        title:
          type: string
          title: Title
        optional:
          type: boolean
          title: Optional
        resource:
          type: string
          title: Resource
        config:
          $ref: '#/components/schemas/IntegrationsPostConnectionItemConfig'
          description: Dict of enabled post-connections on this integration.
          default: {}
      type: object
      required:
        - id
        - title
        - optional
        - resource
      title: IntegrationsPostConnectionItem
    CoverageItem:
      properties:
        operation:
          type: string
          title: Operation
        status:
          $ref: '#/components/schemas/CoverageStatus'
      type: object
      required:
        - operation
        - status
      title: CoverageItem
    IntegrationsCredentialItem:
      properties:
        name:
          type: string
          title: Name
        optional:
          type: boolean
          title: Optional
          default: false
        visibility:
          anyOf:
            - $ref: '#/components/schemas/Visibility'
            - type: 'null'
          description: >-
            Visibility of the credential. If connector is selected, it should be
            defined when the connector is activated on your environment. If
            consumer is selected, the end-user will have to provide the
            credential when creating the connection. If both is selected, the
            credential can be defined when the connector is activated on your
            environment or when the end-user creates the connection (it will not
            be available for the end-user when it's activated at
            connector-level)
          default: both
      type: object
      required:
        - name
      title: IntegrationsCredentialItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    IntegrationsPostConnectionItemConfig:
      properties:
        enabled:
          type: boolean
          title: Enabled
          default: false
        allow_multiple:
          type: boolean
          title: Allow Multiple
          default: false
      type: object
      title: IntegrationsPostConnectionItemConfig
    CoverageStatus:
      type: string
      enum:
        - SUPPORTED
        - NOT_IMPLEMENTED
        - NOT_SUPPORTED
        - UNDER_ANALYSIS
      title: CoverageStatus
    Visibility:
      type: string
      enum:
        - consumer
        - connector
        - both
      title: Visibility
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````